Retrieve a Verification request signer
Retrieves a Verification request signer.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>verifierSignerId*stringUnique identifier of the Verification request signer.
uuidVerification request signer retrieved
application/json- response
Verification request signer after a Verification Request Signer Certificate (VRSC) has been uploaded. Includes the uploaded certificate in PEM format,
as well as the certificate's fingerprint and data. Each caType has different rules:
mattr- MATTR manages the verifier signer and it cannot be updated.apple- thecertificatePemmust be a certificate that Apple Business Connect issued using this verifier signer'scsrPem.caType- thecertificatePemcan be from any issuer but needs to match the public key specified incsrPem.
id*stringEach Verification request signer will have a unique identifier which must be provided when using this Verification request signer to sign a Verification request.
uuidcaType*VerifierSignerCaTypeSpecifies the type of certificate authority for the verifier root certificate.
- Set to
mattrif the certificate is managed by MATTR. - Set to
appleif it is an Apple Business Connect certificate. - Set to
externalif the certificate is managed outside of MATTR (e.g., using your own PKI).
"mattr""apple""external"active*booleanIndicates if the Verification request signer is active. Only active Verification request signers can be used to sign Verification requests.
certificatePem*stringVerification Request Signer Certificate (VRSC) in PEM format.
certificateFingerprint*stringVRSC Hash that includes all certificate data and its signature.
certificateData*curl -X GET "https://example.com/v2/presentations/certificates/verifier-signers/b0aae560-10e7-4247-8e96-7cdd3578a1e2"{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "caType": "mattr", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z", "subjectAlternativeNames": [ { "type": 0, "value": "string" } ] }}How would you rate this page?
Retrieve all Verification request signers GET
Retrieves all Verification request signers.
Update a Verification request signer PUT
Updates a Verification request signer by: - Providing a Verification Request Signer Certificate (VRSC) in PEM format that matches its Certificate Signing Request (CSR). - Activating or deactivating the VRSC signer. Only VRSC signers with a valid PEM certificate can be activated. - The `certificatePem` field becomes immutable after it's updated for the first time. Only available in implementations using unmanaged (external) Verifier root CA certificates.